Antwort: Re: [Snort-users] snort 1.7 and libnet

holger.bumke at ...1216... holger.bumke at ...1216...
Fri Jan 26 08:16:04 EST 2001


Problem: Locally solved. :)

I had the same compiler-error as the originator of this thread.

My problem was, that the includes of libnet where in /usr/include/libnet and the ones for GCC in /usr/local/include.
After re-compiling and -installing libnet with --prefix=/usr/local, snort compiles now with --enable-flexresp and no other problems.

Hope this helps...

Regards,
   Holger





Fyodor <fygrave at ...121...> am 25.01.2001 20:45:33

An:   Dragos Ruiu <dr at ...381...>, Rick Francis <rfrancis at ...468...>, snort-users at lists.sourceforge.net
Kopie:     (Blindkopie: Holger Bumke/nbg/DE)

Thema:    Re: [Snort-users] snort 1.7 and libnet




On Fri, Jan 26, 2001 at 01:59:51AM +0700, Fyodor wrote:

> > This came up before on this list, but I don't have the time right now to
> > search it out.  Have a peek through the archives of this list...
> > maybe do a search for "va_alist" because there was some talk of
> > this problem before on previous release (1.6.2 from memory).
> >
> > I  think it was a compiler install issue...
>
> No, it wasn't a compiler issue (or a complier issue, but we found how to fix the problem),
>  the problem was that if you supply -I/usr/include to gcc, somehow this error is trigged.
> I remember I commited a fix while ago to get rid off -I/usr/include in configure/configure.in.
> Has the problem reappered again?
>







More information about the Snort-users mailing list